%define Name docbook-utils

Name: 		%{Name}
Version: 	0.6.12
Release:	2mdk
Group:		Publishing
Url:		ftp://sources.redhat.com/pub/docbook-tools/new-trials/
Summary:	Shell scripts to manage DocBook documents.

License:	GPL

Requires:	docbook-style-dsssl >= 1.72
Requires:	jadetex >= 2.5
Requires:	tetex-latex
Requires:	perl-SGMLSpm >= 1.03ii
Requires: 	which
Obsoletes:	sgml-tools
Provides:	sgml-tools

BuildRoot:	%{_tmppath}/%name-%version-buildroot

Source0:	ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%name-%version.tar.bz2
Source1: db2html
Source2: gdp-both.dsl

BuildArch:	noarch

%Description
This package contains scripts are for easy conversion from DocBook
files to other formats (for example, HTML, RTF, and PostScript), and
for comparing SGML files.

%package pdf
Requires: tetex-dvips jadetex >= 2.5
Requires: docbook-utils = %{version}
Group: Publishing
Obsoletes: stylesheets-db2pdf
Provides: stylesheets-db2pdf
Summary: A script for converting DocBook documents to PDF format.
URL: ftp://sources.redhat.com/pub/docbook-tools/new-trials/

%description pdf
This package contains a script for converting DocBook documents to
PDF format.


%prep
%setup -q

%build

%configure
make


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT
%makeinstall docdir=$RPM_BUILD_ROOT%{_docdir}
# make install prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} docdir=$RPM_BUILD_ROOT%{_docdir}
# (camille) why the following does not work?
# %makeinstall DESTDIR=$RPM_BUILD_ROOT bindir=%{_bindir} mandir=%{_mandir} docdir=%{_docdir}
# remove doc (install in %doc)
rm -rf $DESTDIR%{_docdir}
# What's that doing here ???
rm -rf $DESTDIR/home


for util in dvi html pdf ps rtf
do
        ln -s docbook2$util $RPM_BUILD_ROOT%{_bindir}/db2$util
        ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/db2$util.1
done
# db2html is not just a symlink, as it has to create the output directory
rm -f $RPM_BUILD_ROOT%{_bindir}/db2html
install -c -m 775 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/db2html
install -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/sgml/docbook/utils-%{version}/docbook-utils.dsl
install -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/sgml/docbook/utils-%{version}/docbook-utils-a4.dsl
perl -pi -e 's/^ "USletter"/ "A4"/' $RPM_BUILD_ROOT/usr/share/sgml/docbook/utils-%{version}/docbook-utils-a4.dsl

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc README COPYING TODO doc/HTML/*
%{_bindir}/jw
%{_bindir}/docbook2dvi
%{_bindir}/docbook2html
%{_bindir}/docbook2man
%{_bindir}/docbook2ps
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%{_bindir}/db2dvi
%{_bindir}/db2html
%{_bindir}/db2ps
%{_bindir}/db2rtf
%{_bindir}/sgmldiff
%{_datadir}/sgml/docbook/utils-%{version}
%{_mandir}/man1/*
%{_mandir}/man7/*


%files pdf
%defattr (-,root,root)
%{_bindir}/docbook2pdf
%{_bindir}/db2pdf

%changelog
* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 0.6.12-2mdk
- rebuild

* Wed Oct 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.12-1mdk
- new release (mainly doc changes but for docbook2man-spec.pl)
- fix %%sections for vim spec mode

* Fri Jul 05 2002  <camille@mandrakesoft.com> 0.6.11-1mdk
- 0.6.11

* Fri May 10 2002  <camille@mandrakesoft.com> 0.6.10-1mdk
- 0.6.10
- No longer need automake files.
- No longer need '.', jw-custom, '@', pdf, nochunks, txt, '-o', manpage,
  sdata, help, ol, '-V', sgml_xml, excl, link, pagesize, or texinputs
  patches.

* Fri May 03 2002  <camille@mandrakesoft.com> 0.6.9-5mdk
- comment graphic-default-extension in gdp-both.dsl
  to fix kernel doc compilation

* Wed Apr 24 2002  <camille@mandrakesoft.com> 0.6.9-4mdk
- Requires tetex-latex (fcrozat)
- Obsoletes & Provides sgml-tools (fcrozat)

* Mon Apr 22 2002  <camille@mandrakesoft.com> 0.6.9-3mdk
- get patches from RH
- add db2* links (thx fcrozat)

* Mon Jul 16 2001  <camille@mandrakesoft.com> 0.6.9-2mdk
- correct email in changelog (RPM-spec mode seems buggy...)

* Mon Jul 16 2001  <camille@mandrakesoft.com> 0.6.9-1mdk
- 0.6.9
- rewrite make install ... ???

* Mon Jun 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6-2mdk
- Merge patches from Abel Cheung:
- s/Copyright/License/
- Simplify %%files
- Removed useless variable
- Rearrange BuildArch to bottom, no idea why source and patch refuses to be
  removed otherwise
- Use %%configure and %%makeinstall

* Fri Jan 12 2001 Camille Begnis <camille@mandrakesoft.com> 0.6-1mdk
- New for Mandrake
- Mandrakized from ftp://sources.redhat.com/pub/docbook-tools/new-trials/SPECS/docbook-utils.spec
